# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GmItemType

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.api.gbase.client.GmItemType

All Implemented Interfaces:
  Extension

    public class GmItemType

extends AbstractExtension

Java representation for the gm:item_type tag found in the item type feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GmItemType()` Creates an unset item type object.
`GmItemType(java.lang.String itemType)` Creates and initializez an item type object.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`java.lang.String` `getItemType()` Gets the item type value.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setItemType(java.lang.String itemType)` Sets the item type value.
`protected void` `validate()` Makes sure the item type is not null.

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GmItemType

    public GmItemType()

  Creates an unset item type object.

### GmItemType

    public GmItemType(java.lang.String itemType)

  Creates and initializez an item type object.

  Parameters:
    `itemType` - itemType value

Method Detail

### getItemType

    public java.lang.String getItemType()

  Gets the item type value.

### setItemType

    public void setItemType(java.lang.String itemType)

  Sets the item type value.

### validate

    protected void validate()

  Makes sure the item type is not null. Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception